<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../../DTD/geometry.dtd">
<DDDB>

<!-- ************************************************************** -->
<!-- * BEAM PIPE                                                  * -->
<!-- * Sections in BeforeMagnetRegion                             * -->
<!-- *   from z = 970 mm to z = 2270 mm                           * -->
<!-- *                                                            * -->
<!-- * UX85-1                                                     * -->
<!-- *                                                            * -->
<!-- * Author: Gloria Corti                                       * -->
<!-- *                                                            * -->
<!-- * Consists of:                                               * -->
<!-- *     - set of cylindrical sections of different thickness   * -->
<!-- *     - conical section of 25 mrad                           * -->
<!-- *     - window of -37 degrees                                * -->
<!-- *     - cilindrical section of 50 mm diameter                * --> 
<!-- *     - flange to seal Rich1 gas enclosure                   * -->
<!-- *   and corresponding vaccum conical sections                * -->
<!-- ************************************************************** --> 
 
 <catalog name = "PipeInRich1">
   <logvolref href="#lvUX851InRich1BeforeSubM"/>
   <logvolref href="#lvUX851InRich1SubMaster"/>
   <logvolref href="#lvUX851InRich1AfterSubM"/>
   <logvolref href="#lvUX851Cyl01"/> 
   <logvolref href="#lvUX851Cyl02"/> 
   <logvolref href="#lvUX851Cyl03A"/> 
   <logvolref href="#lvUX851Cyl03B"/> 
   <logvolref href="#lvUX851Cyl04"/> 
   <logvolref href="#lvUX851Cone05A"/> 
   <logvolref href="#lvUX851Cone05B"/> 
   <logvolref href="#lvUX851Rich1Flange"/> 
   <logvolref href="#lvUX851Win06"/> 
   <logvolref href="#lvUX851Cyl07A"/> 
   <logvolref href="#lvUX851Vacuum01"/>
   <logvolref href="#lvUX851Vacuum03B"/>
   <logvolref href="#lvUX851Vacuum05A"/>
   <logvolref href="#lvUX851Vacuum05B"/>
   <logvolref href="#lvUX851Vacuum06"/>
   <logvolref href="#lvUX851Vacuum07A"/>
 </catalog>

<!-- Whole section: combination of sections -->
<!-- For the moment assume sections put at 0.0 of this (set with center
     at 970mm  -->

<!-- Before SubMaster -->
 <logvol name="lvUX851InRich1BeforeSubM">
 
<!-- Pipes of Al and Be -->
     <physvol name   = "pvUX851Cyl01"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Cyl01">
       <posXYZ z = "UX851Cyl01Zpos"/>
     </physvol>

     <physvol name   = "pvUX851Cyl02"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Cyl02">
       <posXYZ z = "UX851Cyl02Zpos"/>
     </physvol>

     <physvol name   = "pvUX851Cyl03A"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Cyl03A">
       <posXYZ z = "UX851Cyl03AZpos"/>
     </physvol>

<!-- Now the vacuum inside -->
     <physvol name   = "pvUX851Vacuum01"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Vacuum01">
       <posXYZ z = "0.5*UX85Vacuum01Lenght"/>
     </physvol>

 </logvol>

<!-- In SubMaster -->
 <logvol name="lvUX851InRich1SubMaster">
     <physvol name   = "pvUX851Cyl03B"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Cyl03B">
       <posXYZ z = "UX851Cyl03BZpos"/>
     </physvol>

     <physvol name   = "pvUX851Cyl04"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Cyl04">
       <posXYZ z = "UX851Cyl04Zpos"/>
     </physvol>

     <physvol name   = "pvUX851Cone05A"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Cone05A">
       <posXYZ z = "UX851Cone05AZpos"/>
     </physvol>

<!-- Now the vacuum inside -->
     <physvol name   = "pvUX851Vacuum03B"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Vacuum03B">
       <posXYZ z = "UX85Vacuum01Lenght+0.5*UX85Vacuum03BLenght"/>
     </physvol>
 
     <physvol name   = "pvUX851Rich1Flange"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Rich1Flange">
       <posXYZ z = "UX851Rich1FlangeZpos"/>
     </physvol>
 
     <physvol name   = "pvUX851Vacuum05A"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Vacuum05A">
       <posXYZ z = "UX85Vacuum01Lenght+UX85Vacuum03BLenght+0.5*UX851Cone05ALenght"/>
     </physvol>

 </logvol>

<!-- After SubMaster -->
 <logvol name="lvUX851InRich1AfterSubM">

     <physvol name   = "pvUX851Cone05B"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Cone05B">
       <posXYZ z = "UX851Cone05BZpos"/>
     </physvol>
     <physvol name   = "pvUX851Win06" 
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Win06">
       <posXYZ z = "UX851Win06Zpos"/>
     </physvol>

     <physvol name   = "pvUX851Cyl07A" 
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Cyl07A">
       <posXYZ z = "UX851Cyl07AZpos"/>
     </physvol>

<!-- Now the vacuum inside -->
      <physvol name   = "pvUX851Vacuum05B"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Vacuum05B">
       <posXYZ z = "UX85Vacuum01Lenght+UX85Vacuum03BLenght+UX851Cone05ALenght+
                    0.5*UX851Cone05BLenght"/>
     </physvol>

      <physvol name   = "pvUX851Vacuum06"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Vacuum06">
       <posXYZ z = "UX85Vacuum01Lenght+UX85Vacuum03BLenght+UX851Cone05ALenght+
                    UX851Cone05BLenght+0.5*UX851Win06Lenght"/>
     </physvol>

      <physvol name   = "pvUX851Vacuum07A"
              logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/PipeInRich1/lvUX851Vacuum07A">
       <posXYZ z = "UX85Vacuum01Lenght+UX85Vacuum03BLenght+UX851Cone05ALenght+
                    UX851Cone05BLenght+UX851Win06Lenght+0.5*UX851Cyl07ALenght"/>
     </physvol>

  </logvol>

<!-- UX85-1 Step to 54 mm diameter (after RF connection in Velo2Rich1 -->
 <logvol name = "lvUX851Cyl01" material = "Pipe/PipeAl2219F">
   <tubs name        = "UX85-1-Cylinder-01"
         sizeZ       = "UX851Cyl01Lenght"
         innerRadius = "UX851Cyl01Radius"
         outerRadius = "UX851Cyl01Radius+UX851Cyl01Thick"/>
 </logvol>

<!-- UX85-1 Cylinder 54 mm diamater Aluminium -->
 <logvol name = "lvUX851Cyl02" material = "Pipe/PipeAl2219F">
   <tubs name        = "UX85-1-Cylinder-02"
         sizeZ       = "UX851Cyl02Lenght"
         innerRadius = "UX851Cyl02Radius"
         outerRadius = "UX851Cyl02Radius+UX851Cyl02Thick"/>
 </logvol>

<!-- UX85-1 Cylinder 54 mm diamater Beryllium - RICH1SubMaster split -->
 <logvol name = "lvUX851Cyl03A" material = "Pipe/PipeBeTV56">
   <tubs name        = "UX85-1-Cylinder-03A"
         sizeZ       = "UX851Cyl03ALenght"
         innerRadius = "UX851Cyl03Radius"
         outerRadius = "UX851Cyl03Radius+UX851Cyl03Thick"/>
 </logvol>
 <logvol name = "lvUX851Cyl03B" material = "Pipe/PipeBeTV56">
   <tubs name        = "UX85-1-Cylinder-03B"
         sizeZ       = "UX851Cyl03BLenght"
         innerRadius = "UX851Cyl03Radius"
         outerRadius = "UX851Cyl03Radius+UX851Cyl03Thick"/>
 </logvol>

<!-- UX85-1 Cylinder 54 mm diamater Beryllium -->
 <logvol name = "lvUX851Cyl04" material = "Pipe/PipeBeTV56">
   <tubs name        = "UX85-1-Cylinder-04"
         sizeZ       = "UX851Cyl04Lenght"
         innerRadius = "UX851Cyl04Radius"
         outerRadius = "UX851Cyl04Radius+UX851Cyl04Thick"/>
 </logvol>

<!-- UX85-1 Cone 25 mrad - RICH1SubMaster split -->
 <logvol name = "lvUX851Cone05A" material = "Pipe/PipeBeTV56">
   <cons name          = "UX85-1-Cone25mrad-05A"
         sizeZ         = "UX851Cone05ALenght"
         innerRadiusPZ = "UX851Cone05ARadiusZmax"
         innerRadiusMZ = "UX851Cone05ARadiusZmin"
         outerRadiusPZ = "UX851Cone05ARadiusZmax+UX851Cone05Thick"
         outerRadiusMZ = "UX851Cone05ARadiusZmin+UX851Cone05Thick"/>
 </logvol>
 <logvol name = "lvUX851Cone05B" material = "Pipe/PipeBeTV56">
   <cons name          = "UX85-1-Cone25mrad-05B"
         sizeZ         = "UX851Cone05BLenght"
         innerRadiusPZ = "UX851Cone05BRadiusZmax"
         innerRadiusMZ = "UX851Cone05BRadiusZmin"
         outerRadiusPZ = "UX851Cone05BRadiusZmax+UX851Cone05Thick"
         outerRadiusMZ = "UX851Cone05BRadiusZmin+UX851Cone05Thick"/>
 </logvol>

<!-- UX85-1 Flange to seal to RICH1 - Around beam pipe -->
<!-- 10 microns is added to avoid intersections        -->
 <logvol name = "lvUX851Rich1Flange" material = "Pipe/PipeBeTV56">
   <cons name          = "UX85-1-Rich1Flange" 
         sizeZ         = "UX851Rich1Flange1Length"
         innerRadiusPZ = "UX851Rich1FlangeRadiusZMax+0.10*mm"
         innerRadiusMZ = "UX851Rich1FlangeRadiusZmin+0.10*mm"
         outerRadiusPZ = "UX851Rich1FlangeOuterRadius"
         outerRadiusMZ = "UX851Rich1FlangeOuterRadius"/>
 </logvol>

<!-- UX85-1 Window of -37 degree at end of 25 mrad cone -->
 <logvol name = "lvUX851Win06" material = "Pipe/PipeBeTV56">
   <cons name          = "UX85-1-Window37degree-06"
         sizeZ         = "UX851Win06Lenght"
         innerRadiusPZ = "UX851Win06RadiusZmax"
         innerRadiusMZ = "UX851Win06RadiusZmin"
         outerRadiusPZ = "UX851Win06RadiusZmax+UX851Win06Thick"
         outerRadiusMZ = "UX851Win06RadiusZmin+UX851Win06Thick"/>
 </logvol>

<!-- UX85-1 Cylinder of 50 mm diameter -->
 <logvol name = "lvUX851Cyl07A" material = "Pipe/PipeBeTV56">
   <tubs name        = "UX85-1-Cylinder-07A"
         sizeZ       = "UX851Cyl07ALenght"
         innerRadius = "UX851Cyl07Radius"
         outerRadius = "UX851Cyl07Radius+UX851Cyl07Thick"/>
 </logvol>

<!-- Vacuum in UX851Cyl01, UX851Cyl02, UX851Cyl03A in Rich1 Master -->
 <logvol name = "lvUX851Vacuum01" material = "Vacuum">
   <tubs name        = "UX85-1-Vacuum-01"
         sizeZ       = "UX85Vacuum01Lenght"
         outerRadius = "UX851Cyl01Radius"/>
 </logvol>

<!-- Vacuum in UX851Cyl03B, UX851Cyl04 in Rich1 SubMaster -->
 <logvol name = "lvUX851Vacuum03B" material = "Vacuum">
   <tubs name        = "UX85-1-Vacuum-03B"
         sizeZ       = "UX85Vacuum03BLenght"
         outerRadius = "UX851Cyl03Radius"/>
 </logvol>
 
<!-- Vacuum in UX851Cone05A in Rich1 SubMaster -->
 <logvol name = "lvUX851Vacuum05A" material = "Vacuum">
   <cons name          = "UX85-1-Vacuum-05A"
         sizeZ         = "UX851Cone05ALenght"
         outerRadiusMZ = "UX851Cone05ARadiusZmin"
         outerRadiusPZ = "UX851Cone05ARadiusZmax"/>
 </logvol>

<!-- Vacuum in UX851Cone05B in Rich1 Master -->
 <logvol name = "lvUX851Vacuum05B" material = "Vacuum">
   <cons name          = "UX85-1-Vacuum-05B"
         sizeZ         = "UX851Cone05BLenght"
         outerRadiusMZ = "UX851Cone05BRadiusZmin"
         outerRadiusPZ = "UX851Cone05BRadiusZmax"/>
 </logvol>

<!-- Vacuum in UX851Win06 in Rich1 Master -->
 <logvol name = "lvUX851Vacuum06" material = "Vacuum">
   <cons name          = "UX85-1-Vacuum-06"
         sizeZ         = "UX851Win06Lenght"
         outerRadiusMZ = "UX851Win06RadiusZmin"
         outerRadiusPZ = "UX851Win06RadiusZmax"/>
 </logvol>

<!-- Vacuum in UX851Cyl07A in Rich1 Master -->
 <logvol name = "lvUX851Vacuum07A" material = "Vacuum">
   <tubs name        = "UX85-1-Vacuum-07A"
         sizeZ       = "UX851Cyl07ALenght"
         outerRadius = "UX851Cyl07Radius"/>
 </logvol>
 
</DDDB> 
